Subject: Re: [bug#33038] [PATCH 3/6] bootstrap: Add %bootstrap-mes.

From: Jan Nieuwenhuizen <[email-masked]>
Date: Sun, 21 Oct 2018 23:32:41 +0200

Ludovic Courtès writes:

>> +       (begin
>> +         (use-modules (guix build utils)
>> +                      (ice-9 popen))
>
> Exactly.

Ok, good!

>> I copied this from %bootstrap-gcc, do we want to to change this in all
>> bootstrap packages too?
>
> Yes, we should do that while we’re at it.

I'll add a commit for all other packages, need to do a rebuild anyway :-)

>> (attached, and also on my gitlab core-updates-next.  Now for a
>> rebuild...
>
> Heh.  :-)
>
> Well there’s the option of merging core-updates as Marius suggested,
> though that will mean yet another (partial) rebuild, so you’d have to be
> patient.  WDYT?

Yes, just did that -- happy with Marius' info and suggestion.

>> From 04c237218d10756582e6dce5763eaca9704d13cf Mon Sep 17 00:00:00 2001
>> From: Jan Nieuwenhuizen <[email-masked]>
>> Date: Sat, 20 Oct 2018 09:02:39 +0200
>> Subject: [PATCH 3/3] bootstrap: Add %bootstrap-mes.
>> 
>> This include bootstrap seeds
>> 
>>     mes-stripped-0.18-0.08f04f5-x86_64-linux.tar.xz
>>     14sbcm79ml4rgygxvx1135827g3ggfx1c1vchk77z26yibbdw9nh
>> 
>>     mes-stripped-0.18-0.08f04f5-i686-linux.tar.xz
>>     1p116ya9n52852bryh34n7db4mhvi98qifmmwygl7nbyc4dz92jy
>
> I think this info is not necessary here since those hashes appear in the
> file.

Ok.

>> built with the previous commit
>> 
>>     dea5dfa03 bootstrap: FTBFS hack for icu4c, python-more-itertools, swig.
>
> In the final commit please write the full rather than the abbreviated
> commit hash.

Ok.

> Anyway LGTM modulo maybe one rebuild and commit log tweak.

Great, once everything builds I'll update core-updates-next on savannah,
ping this bug and close it.  Otherwise...oh well.

Thanks!

janneke